Loading...
Searching...
No Matches
event::AlarmManager::Alert Struct Reference

Alert structure. More...

## Public Attributes

string | eventCondition
| Event condition.
string | message
| Log message.
time | firstAppearance
| Date & time of first appearance (UNIX timestamp, UTC)
time | lastAppearance
| Date & time of last appearance (UNIX timestamp, UTC)
int | numberAlerts
| Number of alerts.

## Detailed Description

Alert structure.

An alert contains the event id, the log message of the triggered alarm condition plus time and counter fields to express when and how often the alarm condition was triggered.

The documentation for this struct was generated from the following file:

- AlarmManager.idl